Subject: bug#74250: emacs-guix: guix-pull invalid input error

From: Suhail Singh <[email-masked]>
Date: Wed, 20 Nov 2024 16:33:12 -0500

Christopher Howard <[email-masked]> writes:

> So, my experiment was to see if I could run the scheme command «(guix-command
> "pull")» from the console instead, just using guix repl. However, since guix
> repl will not load any emacs-guix scheme code, I had to add
> "/home/christopher/Repos/emacs-guix/scheme" to the GUILE_LOAD_PATH in order to
> be able to load (emacs-guix) module.
>
> Hopefully that clarifies what I am seeing.

I see.  Thank you for clarifying.

> Looking at this now, I see that there are significant differences between the
> paths for paths in %load-path vs paths in GUILE_LOAD_PATH.

Yes.

The "guix-module-union" entry I alluded to was one of the differences I
had observed between %load-path values between "guile" and "guix repl"
when both were invoked from the commandline (outside of Emacs).  It may
help for a future version of emacs-guix to take some steps to resolve
said differences, if you find them to be material / problematic.

-- 
Suhail